python-meshio (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * patch msh2xdmf.py to work with meshio 5.  Thanks Bruno Agostini.
    (see https://github.com/floiseau/msh2xdmf/issues/14)
    - reinstate conversion tests for msh2xdmf

 -- Drew Parsons <dparsons@debian.org>  Thu, 03 Mar 2022 16:10:56 +0100

python-meshio (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - deprecates debian patch skip_tests.patch
    - versioned Build-Depends: python3-numpy (>= 1.20.0~)
    - Build-Depends: python3-rich
  * Build-Depends: pybuild-plugin-pyproject to build from
    pyproject.toml without setup.py.
    - drop debian patch setup.py.patch
  * debian/rules: update handling of paraview plugin
  * skip conversion tests in msh2xdmf. Requires updating for latest
    meshio, see https://github.com/floiseau/msh2xdmf/issues/14

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 12:08:01 +0100

python-meshio (5.0.3-2) unstable; urgency=medium

  * Team upload.
  * debian patch skip_tests.patch skips test_deduplicate_points in
    test_mesh.py on 32-bit systems. See upstream Issue#1222.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Nov 2021 16:54:59 +0100

python-meshio (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: python3-npx (>= 0.0.22~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Nov 2021 10:16:04 +0100

python-meshio (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.0
  * add :any to Build-Depends: python3-all:any
  * reorder debian/copyright to list debian/* before  debian/msh2xdmf/*
  * meshio-tools: all tools replaced by single meshio executable
    (apart from the separate msh2xdmf tool)
  * refresh installation of paraview plugin (now uses - not _)
  * remove egg directory from src in clean rule

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Oct 2021 10:57:06 +0100

python-meshio (4.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - test dir has changed name to tests
  * update to current msh2xdmf: 22 Apr 2021 commit b562903
  * python3-meshio Recommends: meshio-tools

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jul 2021 12:49:12 +0200

python-meshio (4.3.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - improves handling of STL and MED files

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Mar 2021 12:04:58 +0100

python-meshio (4.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - fixes crash when Physical Point is defined in gmsh
    - adds VTK Lagrange elements
    - improves tecplot handling

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Feb 2021 03:52:59 +0100

python-meshio (4.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch typo_uint32.patch
  * override dh_auto_clean to manually remove manually generated
    manpages meshio-convert.1 msh2xdmf.1
  * meshio-tools: stop installing paraview plugin in /usr/bin/plugins
    (installs under /usr/share/paraview*). Note that
    the plugin is not compatible with paraview 5.9, see Bug#981378.
    Rename /usr/share/paraview_* as /usr/share/paraview-*

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Jan 2021 01:55:22 +0100

python-meshio (4.3.5-2) unstable; urgency=medium

  * Team upload.
  * debian patch typo_uint32.patch fixes uint32 type. Closes: #975092.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Nov 2020 14:45:29 +0800

python-meshio (4.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Nov 2020 23:22:15 +0800

python-meshio (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * allow-stderr in debian/tests to ignore Python syntax warnings
    (warnings sent to stderr)

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 18:37:33 +0800

python-meshio (4.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * use help2man to generate manpages for utilities in meshio-tools

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Oct 2020 23:44:04 +0800

python-meshio (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Sep 2020 18:49:31 +0800

python-meshio (4.1.0-2) unstable; urgency=medium

  * Team upload.
  * point /usr/bin/plugins link at /usr/share/paraview_5.8.
    Closes: #964078.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Aug 2020 15:26:32 +0800

python-meshio (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debhelper compatibility level 13
  * update msh2xdmf and document in debian/README.source

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Aug 2020 15:07:59 +0800

python-meshio (4.0.16-3) unstable; urgency=medium

  * Team upload.
  * debian/tests (autopkgtest):
    Depends: python3-dolfin-real
  * add source/lintian-overrides to indicate debian/* is deliberately
    listed last in debian/copyright after upstream content
    (ignore lintian globbing-patterns-out-of-order)

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Aug 2020 13:23:32 +0800

python-meshio (4.0.16-2) unstable; urgency=medium

  * Team upload.
  * debian/tests (autopkgtest) Depends: python3-dolfin
    (used in msh2xdmf tests)

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Jul 2020 14:05:36 +0800

python-meshio (4.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * acknowledge msh2xdmf in meshio-tools package description
  * pull in msh2xdmf as git subtree (provides msh2xdmf tests):
    git subtree add --prefix debian/msh2xdmf
      https://github.com/floiseau/msh2xdmf master --squash 
    - list HDF5 binary test files in debian/source/include-binaries
    - currently msh2xdmf May 31, 2020 commit 7075b55
  * install msh2xdmf as python module (can import in python,
    or invoke as msh2xdmf program from command line)
  * add msh2xdmf to debian/tests (autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Jul 2020 11:45:21 +0800

python-meshio (4.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends: python3-importlib-metadata
  * debian/patches/setup.py.patch reinstates setup.py, needed by
    pybuild but removed upstream (PEP517).

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 May 2020 18:41:23 +0800

python-meshio (4.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: python3-setuptools (>= 42~), python3-wheel
  * add Flavien Loiseau's msh2xdmf converter tool (msh to xdmf)
    from https://github.com/floiseau/msh2xdmf to meshio-tools
  * paraview plugin installed to /usr/share. Drop debian patch
    paraview_plugin_path.patch and link plugin to /usr/bin/plugins
    until paraview recognises proper location.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Apr 2020 14:50:26 +0800

python-meshio (4.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch paraview_plugin_fix.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Mar 2020 15:39:31 +0800

python-meshio (4.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - changes mesh.cells api from dict structure to tuple structure,
      see /usr/share/doc/python3-meshio/changelog.gz
  * Standards-Version: 4.5.0
  * new debian patches:
    - paraview_plugin_path.patch installs paraview plugin in path
      monitored by paraview (/usr/bin/plugins), provided in
      meshio-tools.
    - paraview_plugin_fix.patch fixes extension_to_filetype in
      paraview plugin.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Feb 2020 02:21:46 +0800

python-meshio (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Dec 2019 10:23:08 +1100

python-meshio (3.2.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2019 14:57:33 +0800

python-meshio (3.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #942675.

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Oct 2019 13:21:32 +0800

python-meshio (3.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1
  * debian patch 32bit_relax_test_tolerance.patch relaxes tolerance in
    test_vtk.py::test_reference_file for 32 bit installations to enable
    tests to pass on i386. Closes: #941585.

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Oct 2019 14:32:47 +0800

python-meshio (3.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2019 15:27:41 +0800

python-meshio (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * set debian/watch to track upstream git tags, in order to use
    upstream git lfs objects (lfs is used for mesh files)
  * New upstream release.
    - git lfs is now used to store reference test mesh files, so drop
      debian patch skip_reference_file_tests.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Aug 2019 00:00:03 +0800

python-meshio (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jul 2019 18:43:53 +0800

python-meshio (2.3.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Jul 2019 13:28:00 +0800

python-meshio (2.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian patch skip_reference_file_tests.patch:
    add test_abaqus.py to the reference test banned list.

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jun 2019 16:44:34 +0800

python-meshio (2.3.7-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/control  Depends: python3-requests

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 May 2019 23:32:32 +0800

python-meshio (2.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies Debian patch No-pipdate.patch
  * Build-Depends: python3-requests
  * apply Debian patch skip_reference_file_tests.patch
    - skips reference file tests, since a network connection to remote
      reference mesh files cannot be established at build time
      (see https://github.com/nschloe/meshio/issues/380)

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 May 2019 23:08:06 +0800

python-meshio (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Mar 2019 17:40:14 +0800

python-meshio (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Oct 2018 22:27:28 +0800

python-meshio (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.2.1
  * Drop autopkgtest needs-recommends (deprecated).
    Let tests explicitly depend on python3-h5py, python3-netcdf4

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Sep 2018 19:55:53 +0800

python-meshio (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Aug 2018 20:02:43 +0800

python-meshio (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * python3-meshio Depends: python3-lxml. Closes: #904424.

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jul 2018 11:45:21 +0800

python-meshio (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.4
  * Bump the standards version to 4.1.5
  * remove ancient-python-version-field X-Python3-Version

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jul 2018 20:36:15 +0800

python-meshio (1.11.7-2) unstable; urgency=medium

  * Prevent install of files under dist-packages.
    Thanks to Chris Lamb for the patch (Closes: #892019)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 06 Mar 2018 20:17:14 +0000

python-meshio (1.11.7-1) unstable; urgency=medium

  * New upstream version 1.11.7
  * Refresh the patch queue
  * Update the copyright years
  * Remove obsolete dependency on lxml
  * Drop the get-orig-source target
  * Point the VCS URIs to salsa.debian.org
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Feb 2018 16:36:19 +0000

python-meshio (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * Refresh the patch queue
  * Add new dependency on netCDF4
  * Add support for nocheck builds

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 21 Nov 2017 09:23:35 +0000

python-meshio (1.8.17-1) unstable; urgency=medium

  * New upstream version 1.8.17
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Oct 2017 09:20:10 +0000

python-meshio (1.8.16-1) unstable; urgency=medium

  * New upstream version 1.8.16
  * Filter egg-info directory with extend-diff-ignore
  * Add recommended get-orig-source target
  * Fixup whitespacing in rules file
  * Add Nico Schlömer to Uploaders
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 13 Sep 2017 09:41:09 +0100

python-meshio (1.8.14-1) unstable; urgency=low

  * Initial release. (Closes: #872318)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 16 Aug 2017 21:52:08 +0100
